Command reference
deployments governance
Retention, tenant data, and immutable audit exports
| Command | Summary |
|---|---|
deployments governance retention-show | Show an organization retention policy |
deployments governance retention-update | Update an organization retention policy |
deployments governance tenant-export | Create a tenant data export |
deployments governance tenant-export-status | Show a tenant data export operation |
deployments governance erase | Erase tenant data |
deployments governance erasure-status | Show a tenant erasure operation |
deployments governance audit-export | Create an immutable audit export |
deployments governance audit-export-status | Show an immutable audit export operation |
deployments governance operations | List governance operation history, newest first |
deployments governance retention-show
Show an organization retention policy.
deployments governance retention-show <organization-id>- Calls
GET /v1/organizations/{id}/retention-policy(SDKgetOrganizationRetentionPolicy). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID |
Also accepts the global flags.
deployments governance retention-update
Update an organization retention policy.
deployments governance retention-update <organization-id>- Calls
PATCH /v1/organizations/{id}/retention-policy(SDKupdateOrganizationRetentionPolicy). - Needs an organization:
--orgor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID | |
--artifacts | string (number) | Artifact retention in days | ||
--audit | string (number) | Audit retention in days | ||
--events | string (number) | Event retention in days | ||
--messages | string (number) | Message retention in days | ||
--runs | string (number) | Run retention in days | ||
--threads | string (number) | Thread retention in days |
Also accepts the global flags.
deployments governance tenant-export
Create a tenant data export.
deployments governance tenant-export <organization-id>- Calls
POST /v1/organizations/{id}/data-exports(SDKcreateTenantDataExport). - Needs an organization:
--orgor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID |
Also accepts the global flags.
deployments governance tenant-export-status
Show a tenant data export operation.
deployments governance tenant-export-status <organization-id> <operation-id>- Calls
GET /v1/organizations/{id}/data-exports/{operationId}(SDKgetTenantDataExport). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID | |
<operation-id> | positional | yes | Governance operation ID |
Also accepts the global flags.
deployments governance erase
Erase tenant data.
deployments governance erase <organization-id>- Calls
POST /v1/organizations/{id}/erasures(SDKcreateTenantErasure). - Needs an organization:
--orgor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID |
Also accepts the global flags.
deployments governance erasure-status
Show a tenant erasure operation.
deployments governance erasure-status <organization-id> <operation-id>- Calls
GET /v1/organizations/{id}/erasures/{operationId}(SDKgetTenantErasure). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID | |
<operation-id> | positional | yes | Governance operation ID |
Also accepts the global flags.
deployments governance audit-export
Create an immutable audit export.
deployments governance audit-export <organization-id>- Calls
POST /v1/organizations/{id}/audit-exports(SDKcreateImmutableAuditExport). - Needs an organization:
--orgor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID |
Also accepts the global flags.
deployments governance audit-export-status
Show an immutable audit export operation.
deployments governance audit-export-status <organization-id> <operation-id>- Calls
GET /v1/organizations/{id}/audit-exports/{operationId}(SDKgetImmutableAuditExport). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<organization-id> | positional | yes | Organization ID | |
<operation-id> | positional | yes | Governance operation ID |
Also accepts the global flags.
deployments governance operations
List governance operation history, newest first.
deployments governance operations <organization-id>- Calls
GET /v1/organizations/{id}/governance-operations(SDKlistGovernanceOperations). - Needs an organization:
--orgor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
<organization-id> | positional | yes | Organization ID | |
--kind | string | Operation kind: audit-export, end-user-erasure, tenant-erasure, tenant-export, or thread-erasure | ||
--status | string | Operation status: pending, running, completed, failed, or canceled |
Also accepts the global flags.